package com.hotent.base.jms.impl;

import com.hotent.base.jms.JmsConsumerService;
import com.hotent.base.jms.JmsNoticeConsumerService;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.stereotype.Service;

/**
 * Jms生产者的空实现类
 * <pre>
 *	空实现不提供任何实现代码，仅仅保证其他类注入JmsProducer接口的不报错
 * </pre>
 * @company 广州宏天软件股份有限公司
 * @author heyifan
 * @email heyf@jee-soft.cn
 * @date 2018年6月29日
 */
@Service
public class JmsConsumerServiceEmptyImpl implements JmsConsumerService {
	private static final Log logger= LogFactory.getLog(JmsNoticeConsumerService.class);
	private final String WARN_MESSAGE = "[JMS]: There is no implements of JmsConsumerService, so we can not send the message out.";

	@Override
	public void handlerSysTypeChange(String source) {
		logger.warn(WARN_MESSAGE);
	}

	@Override
	public void handlerSysLog(String source) {
		logger.warn(WARN_MESSAGE);
	}

	@Override
	public void handlerJmsMessage(String source) {
		logger.warn(WARN_MESSAGE);
	}

	@Override
	public void handlerUrlMessage(String source) {
		logger.warn(WARN_MESSAGE);
	}

	@Override
	public void handlerPublishJar(String source) {
		logger.warn(WARN_MESSAGE);
	}

	@Override
	public void handlerRemoveExtendClass(String source) {
		logger.warn(WARN_MESSAGE);
	}

    @Override
    public void handlerAutoTest(String source) {
        logger.warn(WARN_MESSAGE);
    }

}
